commit 772393c20b3c128ba5791460b0b5fa8f2fa3312d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Sep 16 00:18:36 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index c7ac9ee1dae..c50ed2b2451 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2024-09-15  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2024-09-08  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/116621
+	* config/i386/i386.cc (ix86_gimplify_va_arg): Don't use temp for
+	a PARALLEL BLKmode container of an EXPR_LIST expression in a
+	TImode register.
+
 2024-09-05  H.J. Lu  <hjl.tools@gmail.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5cbbe5defc0..657376e5779 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240915
+20240916
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0fb37aaf192..ef4fe51a5af 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-09-15  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2024-09-08  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/116621
+	* gcc.target/i386/pr116621.c: New test.
+
 2024-09-03  Haochen Jiang  <haochen.jiang@intel.com>
 
 	* gcc.target/i386/avx512fp16-vfpclassph-1c.c: New test.

